<?php
require_once __DIR__ . '/../config/app.php';
require_once "../controllers/login.controller.php";
require_once "../models/login.model.php";

class ajaxLogin {
  public $id;
  public $todos_los_campos;


  public function ajaxValidaDatos() {
    $registros = LoginController::ctrValidaDatos($this->todos_los_campos);
    echo json_encode($registros, JSON_UNESCAPED_UNICODE);
  }
}


if (isset($_POST['accion']) && $_POST['accion'] == "LOGIN") {
  $registros = new ajaxLogin();
  $registros->todos_los_campos = $_POST;
  $registros->ajaxValidaDatos();
}
